%global srcname google-api-core
%global _description %{expand:This library is not meant to stand-alone. Instead it defines common helpers used
by all Google API clients.}

# mock >= 4.0 is required to run tests
%global _with_tests 0

Name:           python-%{srcname}
Version:        1.31.1
Release:        1%{?dist}
Summary:        Core Library for Google Client Libraries

License:        ASL 2.0
URL:            https://github.com/googleapis/python-api-core/
Source0:        %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  %{py3_dist setuptools}
%if 0%{?_with_tests}
BuildRequires:  %{py3_dist google-auth}
BuildRequires:  %{py3_dist googleapis-common-protos}
BuildRequires:  %{py3_dist grpcio}
BuildRequires:  %{py3_dist grpcio-gcp}
BuildRequires:  %{py3_dist mock} > 4.0
BuildRequires:  %{py3_dist protobuf}
BuildRequires:  %{py3_dist pytest}
BuildRequires:  %{py3_dist pytz}
BuildRequires:  %{py3_dist requests}
BuildRequires:  %{py3_dist six}
%endif
BuildArch:      noarch

%description
%{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
# Extras
Requires:       %{py3_dist grpcio}
Requires:       %{py3_dist grpcio-gcp}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
%{_description}


%prep
%autosetup -v -n python-api-core-%{version}

# Remove bundled egg-info
rm -rf *.egg-info


%build
%py3_build


%install
%py3_install


%check
%if 0%{?_with_tests}
%pytest
%endif


%files -n python3-%{srcname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/google/api_core/
%{python3_sitelib}/google_api_core-*.egg-info/
%{python3_sitelib}/google_api_core-*-nspkg.pth


%changelog
* Tue Jul 27 2021 Major Hayden <major@mhtx.net> - 1.31.1-1
- Update to 1.31.1

* Tue Jul 20 2021 Major Hayden <major@mhtx.net> - 1.31.0-1
- Update to 1.31.0

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.29.0-2
- Rebuilt for Python 3.10

* Thu Jun 03 2021 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.29.0-1
- Update to 1.29.0

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.17.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Aug 17 2020 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.17.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild
- Temporarily disable tests

* Fri Jun 05 2020 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.17.0-1
- Initial RPM release
